@import "~bootstrap/scss/bootstrap";
@import url('https://fonts.googleapis.com/css?family=Roboto');
@import "font-awesome/index";

@mixin appearance($appearance) {
  -webkit-appearance: $appearance;
  -moz-appearance: $appearance;
  appearance: $appearance;
}
@mixin transform($transforms) {
  -webkit-transform: $transforms;
  -moz-transform: $transforms;
  transform: $transforms;
}
@mixin translate($x, $y) {
  @include transform(translate($x, $y));
}
$mainColor: rgb(123, 207, 53);
$secondaryColor: rgb(35, 33, 118);
body {font-family: 'Roboto', Arial, "Helvetica Neue", Helvetica, sans-serif }
main {
  padding: 25px 0;
  min-height: calc(100vh - 107px);
  position: relative;
  &.mainPage {
    .listing {padding: 25px 0}
  }
  span.required {color: $danger; font-size: 0.8rem}
}
.btn {
  color: #fff;
  &.left {float: left}
  &.right {float: right}
  &:hover {color: #fff}
  &.btn-primary {background: $mainColor; border-color: $mainColor;
    &:hover {background: darken($mainColor, 20%); border-color: darken($mainColor, 20%)}
    &:focus, .btn-primary.focus {box-shadow: 0 0 0 0.2rem rgba($mainColor, .2)}
  }
  &.btn-tertiary {background: $secondaryColor; border-color: $secondaryColor;
    &:hover {background: lighten($secondaryColor, 20%); border-color: lighten($secondaryColor, 20%)}
    &:focus, .btn-primary.focus {box-shadow: 0 0 0 0.2rem rgba($secondaryColor, .2)}
  }
}
.orderSelectCnt {max-width: 340px; padding: 30px 0 0; margin: 0 0 0 auto}
.background-image {position: fixed; top: 0; left: 50%; transform: translateX(-50%); z-index: 0;}
.section-background {
  background: $gray-100;
  .element {border-bottom: 2px solid #fff}
  .card {background: transparent; border: none; border-radius: 0;}
  &.green {
    background: rgba($mainColor, 0.2);
  }
}
input.inline {display: inline-block; width: 70px}

.top-info {
  display: flex;
  justify-content: space-between;
  .align-right {text-align: right}
  p {
    font-size: 0.8rem;
    margin: 0 0 0.2rem;
    line-height: 1.2;
  &.faded {color: $gray-300}
    .alert {
      color: $danger;
      position: relative;
      display: inline-block;
      padding: 0;
      margin: 0 0 0 1.4rem;
      &:before {
        content: "!";
        display: block;
        color: #fff;
        text-align: center;
        background: $danger;
        border-radius: 50%;
        height: 1rem;
        width: 1rem;
        position: absolute;
        right: 100%;
        margin-right: 0.4rem;
        font-weight: 600;
        line-height: 1.2;
      }
    }
  }
}
.modal.show .modal-dialog {transform: none; margin-top: 10vh;}
@media screen and (max-width: 1280px) {
  .listingLink {
    &.near {
      .col-7, .col-5 {max-width: 100%; flex: 0 0 100%}
      .col-5 {padding-left: 100px;}
      ul{
        padding: 5px 0 0;
        li {text-align: left;}
      }
    }
  }
}
@media screen and (max-width: 1020px) {
  main {
    .search-wrap, .map-wrap, .offer-info-wrap, .offer-order-wrap {
      width: 100%;
      max-width: 100%;
      flex: 0 0 100%;
      margin: 0.5rem 0
    }
    &.userAccountWrap {
      .col-3, .col-9 {flex: 0 0 100%; max-width: 100%;}
      .col-3 {margin-bottom: 30px;}
    }
  }
}

@import "../header/css/style";
@import "../../modules/search-section/css/style";
@import "../../modules/google-map/css/style";
@import "../../modules/leaflet-map/css/style";
@import "../../modules/list-group/css/style";
@import "../../modules/user-menu/css/style";
@import "../../modules/user-data/css/style";
@import "../../modules/user-additional-data/css/style";
@import "../../modules/offer-window/css/style";
@import "../../modules/offer-info/css/style";
@import "../../modules/video/css/style";
@import "../../modules/gallery/css/style";
@import "../../modules/order-extra-files/css/style";
@import "../../modules/loginForm/css/style";
@import "../../modules/registerForm/css/style";
@import "../../modules/pagination/css/style";
@import "../../modules/user-followed/css/style";
@import "../../modules/popup/css/style";
@import "../../modules/imageicropper/css/style";
@import "../../modules/user-add-order/css/style";
@import "../../modules/user-additional-data/css/style";
@import "../../modules/order-client-details/css/style";
@import "../../modules/preloader/css/style";
@import "../footer/css/style";
@import "../../modules/multifile/css/style";

.gw-date-input {
  width: 100%;
  display: block;
  height: calc(2.25rem + 2px);
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  line-height: 1.5;
  color: #495057;
  cursor: text;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  text-align: left;
  position: relative;
  &:hover {text-decoration: none; color: initial;}
  .button-dummy {
    position: absolute;
    cursor: pointer;
    right: -1px;
    top: -1px;
    bottom: -1px;
    background: #f8f9fa;
    border-radius: 0 0.25rem 0.25rem;
    display: block;
    width: 30px;
    border: 1px solid #ced4da;
    padding: 6px 0;
    text-align: center;
    &:hover {background: darken(#f8f9fa, 20%)}
  }
}
.offer-window {
  .gw-date-input {height: 2rem; padding: 0.35rem 0.4rem; font-size: 0.8rem; border-radius: 0.2rem}
}